using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using StockSharp.Algo.Strategies;

namespace TestBag
{
    class Strategy01:Strategy
    {
        protected override void OnStarted()
        {
            Console.WriteLine(@"---Start---{0}---{1}---{2}---{3}---{4}---{5}", Connector, Security, Portfolio, Portfolio.BeginValue, Portfolio.CurrentValue, Position);

            var order = this.BuyAtLimit((decimal)117400);
            RegisterOrder(order);
            base.OnStarted();
        }
    }
}
